Repository 32bit  Forum
Repository 64bit  Wiki

Enlightenment DR17 from svn: differenze tra le versioni

Da Slacky.eu.
(Nuova pagina: Semplice script che scarica enlightenment da svn, lo compila e lo pacchettizza e installa ;) <pre> #!/bin/sh #e17 Slackware Builder #This simple script download lastest tru...)
 
 
(10 revisioni intermedie di un utente non mostrate)
Riga 1: Riga 1:
Semplice script che scarica enlightenment da svn, lo compila e lo pacchettizza e installa ;)
+
[[Category:Script]]
  +
Semplice script che scarica enlightenment da svn, lo compila e lo pacchettizza e installa ;)<br>
  +
Salvatelo in un file chiamato enlightenment.SlackBuild
  +
Per chiarimenti, migliorie, malfunzionamenti, riferitevi al thread apposito su Slacky.eu
  +
http://www.slacky.eu/forum/viewtopic.php?f=4&t=32328&p=282288#p282288
  +
<pre>
<pre>
#!/bin/sh
+
#!/bin/sh
#e17 Slackware Builder
+
#This simple script download lastest trunk from e17's SVN, package and install it ;)
+
# Heavily based on the Slackware 13.1 SlackBuild
#You can select if you want a basiliar or a full-of-all installation
+
# Written by jimmy_page_89 ( jimmy_page_89@hotmail.it )
#Compatible with Slackware 12.2 and (i hope) later
+
#Copyright jimmy_page_89 ( email jimmy_page_89 AT hotmail DOT it )
+
# Heavily changed by albatros_la aka AsPh4lTo
#Thanks to Conraid for SVN help :D
 
echo "##e17 Slackware Builder##"
+
# Last build from jimmy_page_89 ( jimmy_page_89@hotmail.it )
echo "##Author: jimmy_page_89##"
 
TMP=${TMP:-/tmp/e17}
 
TAG=1jim
 
CWD=`pwd`
 
OUTPUT=$CWD/e17-slackware-pkgs-1jim
 
ARCH=`uname -m`
 
JOBS="-j3"
 
if [ "$ARCH" = "i486" ]; then
+
# Thanks to Conraid for SVN help
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
 
LIBDIRSUFFIX=""
 
SLKLDFLAGS=""
 
elif [ "$ARCH" = "i686" ]; then
 
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
 
LIBDIRSUFFIX=""
 
SLKLDFLAGS=""
 
elif [ "$ARCH" = "x86_64" ]; then
 
SLKCFLAGS="-O2 -fPIC"
 
LIBDIRSUFFIX="64"
 
SLKLDFLAGS="-L/usr/lib64"
 
fi
 
echo "checking dependencies..."
+
# Slackware build script for enlightenment
if [ ! -d $OUTPUT ];then
+
# Official Site: http://www.enlightenment.org/
mkdir -p $OUTPUT
 
fi
 
mkdir -p $TMP
 
cd $OUTPUT
 
for j in lua libast libmpd;
 
do
 
if [ ! -e /var/log/packages/$j-* ];then
 
echo "Please install $j, exiting..."
 
exit 1
 
fi
 
done
 
echo "Start Downloading..."
 
cd $TMP
 
svn co http://svn.enlightenment.org/svn/e || exit 1
 
wget http://www.slackbuilds.org/slackbuilds/12.2/desktop/enlightenment/xinitrc.enlightenment17 || exit 1
 
cd e/trunk
 
VERSION=r$(LANG=en_US svn info | awk '/Revision:/{print $2}')
 
for i in BINDINGS BROKEN devs DOCS E16 packaging PROTO SCRIPTS THEMES web;
+
# This script download lastest trunk from e17's SVN and packages it ;)
do
 
rm -rf $i || exit 1
 
done
 
mkdir -p $OUTPUT || exit 1
+
# Redistribution and use of this script, with or without modification, is
for i in imlib2 eina eet imlib2_loaders imlib2_tools evas ecore efreet embryo edje e_dbus e exml esmart eterm ethumb emotion;
+
# permitted provided that the following conditions are met:
do
+
#
if [ ! -e $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz ];then
+
# 1. Redistributions of this script must retain the above copyright
echo "Building $i..."
+
# notice, this list of conditions and the following disclaimer.
cd $i
+
#
if [ "$i" = "eterm" ];then
+
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS AND ANY EXPRESS OR IMPLIED
cd Eterm
+
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
fi
+
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
chown -R root:root .
+
# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
find . \
+
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-exec chmod 755 {} \; -o \
+
# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-exec chmod 644 {} \;
+
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
  +
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PKG=$TMP/package-$i
+
removepkg `ls /var/log/packages/ | grep dep_inst` > /dev/null
mkdir -p $PKG || exit 1
 
LDFLAGS="$SLKLDFLAGS" \
 
CFLAGS="$SLKCFLAGS" \
 
CXXFLAGS="$SLKCFLAGS" \
 
./autogen.sh \
 
--prefix=/usr \
 
--libdir=/usr/lib${LIBDIRSUFFIX} \
 
--sysconfdir=/etc \
 
--localstatedir=/var \
 
--mandir=/usr/man \
 
--disable-static || exit 1
 
make $JOBS|| exit 1
+
set -e
make install DESTDIR=$PKG || exit 1
 
( cd $PKG
 
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
 
xargs strip --strip-unneeded 2> /dev/null || true
 
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
 
xargs strip --strip-unneeded 2> /dev/null
 
)
 
mkdir -p $PKG/usr/doc/$i || exit 1
+
PKGNAME=enlightenment
cp -a AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$i
+
BUILD=${BUILD:-1sl}
if [ "$i" = "e" ];then
+
ARCH=${ARCH:-i486}
mkdir -p $PKG/etc/X11/xinit
+
SOURCE="http://svn.enlightenment.org/svn/e"
cp $TMP/xinitrc.enlightenment17 $PKG/etc/X11/xinit/
+
CWD=$(pwd)
fi
+
TMP=${TMP:-/tmp/buildpkgs/$PKGNAME}
  +
DEPPKG=$TMP/dep-package-$PKGNAME
  +
PKG=$TMP/package-$PKGNAME
  +
OUTPUT=${OUTPUT:-$CWD}
  +
BASE="eina eet imlib2_loaders evas ecore efreet embryo edje e_dbus eeze e"
  +
EXTRA="esmart eterm emotion epdf ethumb exquisite expedite emprint edata ecore_li edb engrave epeg elementary empower exalt ephoto elicit enlil enki editje edje_viewer"
  +
PLUGINS="elementary-alarm elementary-presenter elementary-sms alarm calendar cpu deskshow diskio drawer efm-nav efm-path exalt exalt-client execwatch flame forecasts iiirk language mail mem moon mpdule net news notification penguins photo places rain screenshot skel slideshow snow taskbar tclock tiling uptime weather winselector wlan empris everything-mpris everything-pidgin everything-places everything-skel everything-tracker everything-wallpaper everything-websearch exebuf quickaccess winlist-ng"
mkdir -p $PKG/install
+
###elmdentica
echo " |-----handy-ruler------------------------------------------------------|" >> $PKG/install/slack-desc
+
###Set to 1 if you want to release this package
echo "$i" >> $PKG/install/slack-desc
+
RELEASE=0
echo "$i: $i svn build - $VERSIO - $VERSION" >> $PKG/install/slack-desc
 
echo "$i" >> $PKG/install/slack-desc
 
echo "$i" >> $PKG/install/slack-desc
 
echo "" >> $PKG/install/slack-desc
 
echo "if [ -x /usr/bin/update-mime-database ]; then
 
/usr/bin/update-mime-database /usr/share/mime &> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/update-desktop-database ]; then
 
/usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/gtk-update-icon-cache ]; then
 
/usr/bin/gtk-update-icon-cache -f -q /usr/share/icons/hicolor 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
cd $PKG
 
makepkg -l y -c n $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz || exit 1
 
upgradepkg --install-new $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz
 
rm -rf $TMP/package-$i || exit 1
 
cd $TMP/e/trunk
 
fi
 
done
 
cd $TMP/e/trunk/OLD
+
if [ "$ARCH" = "i486" ]; then
for i in etk etk_extra engrave enhance edata ecore_li edb emphasis epsilon evolve exhibit e_utils epeg;
+
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
do
+
LIBDIRSUFFIX=""
if [ ! -e $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz ];then
+
elif [ "$ARCH" = "i586" ]; then
echo "Building $i..."
+
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
cd $i
+
LIBDIRSUFFIX=""
chown -R root:root .
+
elif [ "$ARCH" = "i686" ]; then
find . \
+
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+
LIBDIRSUFFIX=""
-exec chmod 755 {} \; -o \
+
elif [ "$ARCH" = "x86_64" ]; then
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+
SLKCFLAGS="-O2 -fPIC"
-exec chmod 644 {} \;
+
LIBDIRSUFFIX="64"
  +
SLKLDFLAGS="-L/usr/lib64"
  +
fi
PKG=$TMP/package-$i
+
rm -rf $TMP
mkdir -p $PKG || exit 1
+
mkdir -p $TMP $PKG $OUTPUT
if [ "$i" = "evfs" ];then
 
mv debian/changelog debian/changelog.in
 
fi
 
LDFLAGS="$SLKLDFLAGS" \
 
CFLAGS="$SLKCFLAGS" \
 
CXXFLAGS="$SLKCFLAGS" \
 
./autogen.sh \
 
--prefix=/usr \
 
--libdir=/usr/lib${LIBDIRSUFFIX} \
 
--sysconfdir=/etc \
 
--localstatedir=/var \
 
--mandir=/usr/man \
 
--disable-static || exit 1
 
make $JOBS || exit 1
+
if [ -e $CWD/error.log ]; then
make install DESTDIR=$PKG || exit 1
+
rm $CWD/error.log
( cd $PKG
+
fi
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
 
xargs strip --strip-unneeded 2> /dev/null || true
 
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
 
xargs strip --strip-unneeded 2> /dev/null
 
)
 
mkdir -p $PKG/usr/doc/$i || exit 1
+
cd $TMP
cp -a AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$i
+
if [ ! -d e ]; then
mkdir -p $PKG/install
+
echo "Start Downloading..."
echo " |-----handy-ruler------------------------------------------------------|" >> $PKG/install/slack-desc
+
svn co $SOURCE
echo "$i" >> $PKG/install/slack-desc
+
wget http://slackbuilds.org/slackbuilds/13.1/desktop/enlightenment/xinitrc.enlightenment17
echo "$i: $i svn build - $VERSIO - $VERSION" >> $PKG/install/slack-desc
+
wget http://slackbuilds.org/slackbuilds/13.1/desktop/enlightenment/slack-desc
echo "$i" >> $PKG/install/slack-desc
+
fi
echo "$i" >> $PKG/install/slack-desc
 
echo "" >> $PKG/install/slack-desc
 
echo "if [ -x /usr/bin/update-mime-database ]; then
 
/usr/bin/update-mime-database /usr/share/mime &> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/update-desktop-database ]; then
 
/usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/gtk-update-icon-cache ]; then
 
/usr/bin/gtk-update-icon-cache -f -q /usr/share/icons/hicolor 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
cd $PKG
 
makepkg -l y -c n $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz || exit 1
 
upgradepkg --install-new $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz
 
rm -rf $TMP/package-$i || exit 1
 
cd $TMP/e/trunk/OLD
 
fi
 
done
 
cd $TMP/e/trunk
+
cd $TMP/e
i=ewl;
+
VERSION=r$(LANG=en_US svn info | awk '/Revision:/{print $2}')
if [ ! -e $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz ];then
 
echo "Building $i..."
 
cd $i
 
chown -R root:root .
 
find . \
 
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 
-exec chmod 755 {} \; -o \
 
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 
-exec chmod 644 {} \;
 
PKG=$TMP/package-$i
+
cd $TMP/e/trunk
mkdir -p $PKG || exit 1
+
for i in BINDINGS BROKEN devs DOCS E16 packaging SCRIPTS THEMES web;
#make clean
+
do
ECORE_EVAS_LIBS="$SLKLDFLAGS -lecore_evas -lecore_x -lecore_input -lecore_txt -levas -lecore -leina" \
+
rm -rf $i
ECORE_XCB_LIBS="$SLKLDFLAGS -lxcb -lecore_x -lecore_input -lecore_txt -levas -lecore -leina" \
+
done
ECORE_X_LIBS="$SLKLDFLAGS -lecore_x -lecore_input -lecore_txt -levas -lecore -leina" \
 
ECORE_LIBS="$SLKLDFLAGS -lecore_txt -lecore_file -lecore_con -lgnutls -lcurl -lecore -leina" \
 
EDJE_LIBS="$SLKLDFLAGS -ledje -lecore_imf_evas -llua -lm -lembryo -lecore_job -leet -lecore_imf -levas -lecore -leina" \
 
EFREET_LIBS="$SLKLDFLAGS -lefreet -lefreet_mime -lecore_file -lecore_con -lgnutls -lcurl -lecore -leina" \
 
EMOTION_LIBS="$SLKLDFLAGS -lemotion -levas -leina" \
 
EVAS_LIBS="$SLKLDFLAGS -levas -leina" \
 
EPSILON_LIBS="$SLKLDFLAGS -lepsilon" \
 
LDFLAGS="$SLKLDFLAGS" \
 
CFLAGS=" $SLKCFLAGS" \
 
CXXFLAGS="$SLKCFLAGS" \
 
./autogen.sh \
 
--prefix=/usr \
 
--libdir=/usr/lib${LIBDIRSUFFIX} \
 
--sysconfdir=/etc \
 
--localstatedir=/var \
 
--mandir=/usr/man \
 
--libexecdir=/usr/lib${LIBDIRSUFFIX} \
 
--disable-static || exit 1
 
make $JOBS|| exit 1
+
function doinst
make install DESTDIR=$PKG || exit 1
+
{
( cd $PKG
+
echo "if [ -x /usr/bin/update-mime-database ]; then
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+
/usr/bin/update-mime-database /usr/share/mime &> /dev/null
xargs strip --strip-unneeded 2> /dev/null || true
+
fi" >> $PKG/install/doinst.sh
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+
echo "" >> $PKG/install/doinst.sh
xargs strip --strip-unneeded 2> /dev/null
+
echo "if [ -x /usr/bin/update-desktop-database ]; then
)
+
/usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
  +
fi" >> $PKG/install/doinst.sh
  +
echo "" >> $PKG/install/doinst.sh
  +
echo "if [ -x /usr/bin/gtk-update-icon-cache ]; then
  +
/usr/bin/gtk-update-icon-cache -f -q /usr/share/icons/hicolor 1> /dev/null 2> /dev/null
  +
fi" >> $PKG/install/doinst.sh
  +
echo "" >> $PKG/install/doinst.sh
  +
}
mkdir -p $PKG/usr/doc/$i || exit 1
+
function stripbin
cp -a AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$i
+
{
  +
( cd $PKG
  +
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs -r strip --strip-unneeded 2> /dev/null || true
  +
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs -r strip --strip-unneeded 2> /dev/null || true
  +
find . | xargs file | grep "current ar archive" | cut -f 1 -d : | xargs -r strip --strip-unneeded 2> /dev/null || true
  +
)
  +
}
mkdir -p $PKG/install
+
for i in $BASE $EXTRA $PLUGINS
echo " |-----handy-ruler------------------------------------------------------|" >> $PKG/install/slack-desc
+
do
echo "$i" >> $PKG/install/slack-desc
+
echo "Building $i..."
echo "$i: $i svn build - $VERSIO - $VERSION" >> $PKG/install/slack-desc
+
case $i in
echo "$i" >> $PKG/install/slack-desc
+
eina|eet|eeze|imlib2_loaders|evas|ecore|efreet|embryo|edje|e_dbus|e|ethumb|exquisite|expedite|editje|emotion|emprint|edje_viewer|empower|elmdentica|exalt|ephoto|elicit|enki|enlil) cd $TMP/e/trunk/$i;;
echo "$i" >> $PKG/install/slack-desc
+
eterm) cd $TMP/e/trunk/$i/Eterm;;
echo "" >> $PKG/install/slack-desc
+
esmart|engrave|edata|ecore_li|edb|e_utils|epeg) cd $TMP/e/OLD/$i;;
echo "if [ -x /usr/bin/update-mime-database ]; then
+
elementary|elementary-alarm|elementary-presenter|elementary-sms|waker) cd $TMP/e/trunk/TMP/st/$i;;
/usr/bin/update-mime-database /usr/share/mime &> /dev/null
+
efm-nav|efm-path) cd $TMP/e/trunk/E-MODULES-EXTRA/`echo $i|sed s/-/_/`;;
fi" >> $PKG/install/doinst.sh
+
epdf) cd $TMP/e/trunk/PROTO/$i;;
echo "" >> $PKG/install/doinst.sh
+
*) cd $TMP/e/trunk/E-MODULES-EXTRA/$i;;
echo "if [ -x /usr/bin/update-desktop-database ]; then
+
esac
/usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
+
case $i in
fi" >> $PKG/install/doinst.sh
+
eina) ECORE="--enable-amalgamation --enable-default-mempool --enable-mempool-chained-pool --enable-mempool-buddy --disable-magic-debug";;
echo "" >> $PKG/install/doinst.sh
+
eet) ECORE="--enable-amalgamation --enable-assert";;
echo "if [ -x /usr/bin/gtk-update-icon-cache ]; then
+
evas) ECORE="--enable-xrender-x11 --enable-sdl-primitive --enable-software-16-ddraw --enable-fb --enable-cpu-mmx --enable-cpu-sse --enable-small-dither-mask --enable-line-dither-mask --enable-gl-x11 --enable-gl-grew --enable-buffer";;
/usr/bin/gtk-update-icon-cache -f -q /usr/share/icons/hicolor 1> /dev/null 2> /dev/null
+
ecore) ECORE="--enable-ecore-config --enable-ecore-ipc --enable-ecore-file --enable-ecore-imf --enable-ecore-imf-evas --enable-ecore-input --enable-ecore-input-evas --enable-ecore-sdl --enable-ecore-evas --enable-ecore-evas-opengl-x11 --enable-ecore-x -enable-ecore-con";;
fi" >> $PKG/install/doinst.sh
+
edje) ECORE="--enable-amalgamation --enable-edje-program-cache --enable-edje-calc-cache --enable-fixed-point";;
echo "" >> $PKG/install/doinst.sh
+
eterm) ECORE="--enable-profile --enable-trans --enable-mms --enable-sse2 --enable-utmp --enable-auto-encoding --enable-multi-charset --enable-xim --enable-greek --enable-name-reporting-escapes --with-theme-update --with-x";;
cd $PKG
+
exalt) ECORE="--with-wpa-supplicant=/sbin/wpa_supplicant --with-dhcp=/sbin/dhclient";;
makepkg -l y -c n $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz || exit 1
+
epdf) ECORE="--enable-poppler";;
upgradepkg --install-new $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz
 
rm -rf $TMP/package-$i || exit 1
 
cd $TMP/e/trunk
 
fi
 
for i in estickies exquisite expedite emotion emprint;
 
do
 
if [ ! -e $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz ];then
 
echo "Building $i..."
 
cd $i
 
if [ "$i" = "eterm" ];then
 
cd Eterm
 
fi
 
chown -R root:root .
 
find . \
 
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 
-exec chmod 755 {} \; -o \
 
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 
-exec chmod 644 {} \;
 
PKG=$TMP/package-$i
+
e) ECORE="--enable-device-udev";;
mkdir -p $PKG || exit 1
+
*) ECORE="";;
LDFLAGS="$SLKLDFLAGS" \
+
esac
CFLAGS="$SLKCFLAGS" \
 
CXXFLAGS="$SLKCFLAGS" \
 
./autogen.sh \
 
--prefix=/usr \
 
--libdir=/usr/lib${LIBDIRSUFFIX} \
 
--sysconfdir=/etc \
 
--localstatedir=/var \
 
--mandir=/usr/man \
 
--disable-static || exit 1
 
make $JOBS|| exit 1
+
chown -R root:root .
make install DESTDIR=$PKG || exit 1
+
chmod -R u+w,go+r-w,a-s .
( cd $PKG
+
case $i in
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+
elicit)
xargs strip --strip-unneeded 2> /dev/null || true
+
./bootstrap
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+
LDFLAGS="$SLKLDFLAGS" \
xargs strip --strip-unneeded 2> /dev/null
+
CFLAGS="$SLKCFLAGS" \
)
+
CXXFLAGS="$SLKCFLAGS" \
  +
./configure \
  +
--prefix=/usr \
  +
--libdir=/usr/lib${LIBDIRSUFFIX} \
  +
--sysconfdir=/etc \
  +
--localstatedir=/var \
  +
--mandir=/usr/man \
  +
--disable-static \
  +
$ECORE
  +
;;
  +
*)
  +
LDFLAGS="$SLKLDFLAGS" \
  +
CFLAGS="$SLKCFLAGS" \
  +
CXXFLAGS="$SLKCFLAGS" \
  +
./autogen.sh \
  +
--prefix=/usr \
  +
--libdir=/usr/lib${LIBDIRSUFFIX} \
  +
--sysconfdir=/etc \
  +
--localstatedir=/var \
  +
--mandir=/usr/man \
  +
--disable-static \
  +
$ECORE
  +
;;
  +
esac
mkdir -p $PKG/usr/doc/$i || exit 1
+
echo "--- $i building error log ---" >> $CWD/error.log
cp -a AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$i
 
mkdir -p $PKG/install
+
###fixing epdf
echo " |-----handy-ruler------------------------------------------------------|" >> $PKG/install/slack-desc
+
case $i in epdf)
echo "$i" >> $PKG/install/slack-desc
+
cd src/lib/mupdf
echo "$i: $i svn build - $VERSIO - $VERSION" >> $PKG/install/slack-desc
+
make
echo "$i" >> $PKG/install/slack-desc
+
cd $TMP/e/trunk/PROTO/$i
echo "$i" >> $PKG/install/slack-desc
+
;;
echo "" >> $PKG/install/slack-desc
+
esac
echo "if [ -x /usr/bin/update-mime-database ]; then
 
/usr/bin/update-mime-database /usr/share/mime &> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/update-desktop-database ]; then
 
/usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/gtk-update-icon-cache ]; then
 
/usr/bin/gtk-update-icon-cache -f -q /usr/share/icons/hicolor 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
cd $PKG
 
makepkg -l y -c n $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz || exit 1
 
upgradepkg --install-new $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz
 
rm -rf $TMP/package-$i || exit 1
 
cd $TMP/e/trunk
 
fi
 
done
 
cd TMP/st
+
make -j2 2>>$CWD/error.log
for i in elementary elementary-alarm elementary-presenter elementary-sms waker;
 
do
 
if [ ! -e $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz ];then
 
echo "Building $i..."
 
cd $i
 
chown -R root:root .
 
find . \
 
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 
-exec chmod 755 {} \; -o \
 
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 
-exec chmod 644 {} \;
 
PKG=$TMP/package-$i
+
make install DESTDIR=$PKG
mkdir -p $PKG || exit 1
 
LDFLAGS="$SLKLDFLAGS" \
 
CFLAGS="$SLKCFLAGS" \
 
CXXFLAGS="$SLKCFLAGS" \
 
./autogen.sh \
 
--prefix=/usr \
 
--libdir=/usr/lib${LIBDIRSUFFIX} \
 
--sysconfdir=/etc \
 
--localstatedir=/var \
 
--mandir=/usr/man \
 
--disable-static || exit 1
 
make $JOBS|| exit 1
+
if [ -d $DEPPKG ]; then
make install DESTDIR=$PKG || exit 1
+
rm -rf $DEPPKG
( cd $PKG
+
mkdir -p $DEPPKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+
fi
xargs strip --strip-unneeded 2> /dev/null || true
+
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+
make install DESTDIR=$DEPPKG
xargs strip --strip-unneeded 2> /dev/null
+
cd $DEPPKG
)
+
makepkg -l y -c n $TMP/$i\_dep_inst.txz $SEE
  +
echo "Installing $i..."
  +
upgradepkg --install-new $TMP/$i\_dep_inst.txz
mkdir -p $PKG/usr/doc/$i || exit 1
+
done
cp -a AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$i
 
mkdir -p $PKG/install
+
for i in $BASE $EXTRA $PLUGINS
echo " |-----handy-ruler------------------------------------------------------|" >> $PKG/install/slack-desc
+
do
echo "$i" >> $PKG/install/slack-desc
+
removepkg /var/log/packages/$i\_dep_inst
echo "$i: $i svn build - $VERSIO - $VERSION" >> $PKG/install/slack-desc
+
done
echo "$i" >> $PKG/install/slack-desc
 
echo "$i" >> $PKG/install/slack-desc
 
echo "" >> $PKG/install/slack-desc
 
echo "if [ -x /usr/bin/update-mime-database ]; then
 
/usr/bin/update-mime-database /usr/share/mime &> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/update-desktop-database ]; then
 
/usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/gtk-update-icon-cache ]; then
 
/usr/bin/gtk-update-icon-cache -f -q /usr/share/icons/hicolor 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
cd $PKG
 
makepkg -l y -c n $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz || exit 1
 
upgradepkg --install-new $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz
 
rm -rf $TMP/package-$i || exit 1
 
cd $TMP/e/trunk/TMP/st
 
fi
 
done
 
cd $TMP/e/trunk
 
i=exalt
 
if [ ! -e $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz ];then
 
echo "Building $i..."
 
cd $i
 
chown -R root:root .
 
find . \
 
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 
-exec chmod 755 {} \; -o \
 
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 
-exec chmod 644 {} \;
 
PKG=$TMP/package-$i
+
stripbin
mkdir -p $PKG || exit 1
 
LDFLAGS="$SLKLDFLAGS" \
 
CFLAGS="$SLKCFLAGS" \
 
CXXFLAGS="$SLKCFLAGS" \
 
./autogen.sh \
 
--prefix=/usr \
 
--libdir=/usr/lib${LIBDIRSUFFIX} \
 
--sysconfdir=/etc \
 
--localstatedir=/var \
 
--mandir=/usr/man \
 
--disable-static || exit 1
 
make $JOBS|| exit 1
+
mkdir -p $PKG/usr/doc/$PKGNAME-$VERSION
make install DESTDIR=$PKG || exit 1
+
cp -a $TMP/e/trunk/e/{AUTHORS,COPYING,INSTALL,NEWS,README} $PKG/usr/doc/$PKGNAME-$VERSION
( cd $PKG
 
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
 
xargs strip --strip-unneeded 2> /dev/null || true
 
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
 
xargs strip --strip-unneeded 2> /dev/null
 
)
 
mkdir -p $PKG/usr/doc/$i || exit 1
+
mkdir -p $PKG/etc/X11/xinit
cp -a AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$i
+
cp $TMP/xinitrc.enlightenment17 $PKG/etc/X11/xinit/
mkdir -p $PKG/install
+
mkdir -p $PKG/install
echo " |-----handy-ruler------------------------------------------------------|" >> $PKG/install/slack-desc
+
cat $TMP/slack-desc > $PKG/install/slack-desc
echo "$i" >> $PKG/install/slack-desc
+
cat $TMP/slack-desc > $PKG/usr/doc/$NAME/slack-desc
echo "$i: $i svn build - $VERSIO - $VERSION" >> $PKG/install/slack-desc
+
cat $CWD/$PKGNAME.SlackBuild > $PKG/usr/doc/$NAME/$PKGNAME.SlackBuild
echo "$i" >> $PKG/install/slack-desc
 
echo "$i" >> $PKG/install/slack-desc
 
echo "" >> $PKG/install/slack-desc
 
echo "if [ -x /usr/bin/update-mime-database ]; then
 
/usr/bin/update-mime-database /usr/share/mime &> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/update-desktop-database ]; then
 
/usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/gtk-update-icon-cache ]; then
 
/usr/bin/gtk-update-icon-cache -f -q /usr/share/icons/hicolor 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
cd $PKG
 
makepkg -l y -c n $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz || exit 1
 
upgradepkg --install-new $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz
 
rm -rf $TMP/package-$i || exit 1
 
cd $TMP/e/trunk
 
fi
 
cd E-MODULES-EXTRA
 
for i in alarm bling calendar configmenu cpu deskshow diskio drawer efm-nav efm-path emu exalt-client execwatch flame forecasts iiirk language mail mem moon \
 
mpdule net news notification penguins photo places rain screenshot skel slideshow snow taskbar tclock tiling uptime weather winselector wlan;
 
do
 
if [ ! -e $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz ];then
 
echo "Building $i..."
 
cd $i
 
chown -R root:root .
 
find . \
 
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 
-exec chmod 755 {} \; -o \
 
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 
-exec chmod 644 {} \;
 
PKG=$TMP/package-$i
+
doinst
mkdir -p $PKG || exit 1
 
LDFLAGS="$SLKLDFLAGS" \
 
CFLAGS="$SLKCFLAGS" \
 
CXXFLAGS="$SLKCFLAGS" \
 
./autogen.sh \
 
--prefix=/usr \
 
--libdir=/usr/lib${LIBDIRSUFFIX} \
 
--sysconfdir=/etc \
 
--localstatedir=/var \
 
--mandir=/usr/man \
 
--disable-static || exit 1
 
make $JOBS || exit 1
+
cd $PKG
make install DESTDIR=$PKG || exit 1
+
chown -R root:root .
( cd $PKG
 
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
 
xargs strip --strip-unneeded 2> /dev/null || true
 
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
 
xargs strip --strip-unneeded 2> /dev/null
 
)
 
mkdir -p $PKG/usr/doc/$i || exit 1
+
###If you're not going to release this package,
cp -a AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$i
+
if [ "$RELEASE" = "1" ] && [ -x "$(which requiredbuilder 2>/dev/null)" ];then
  +
requiredbuilder -y -v -s $CWD $PKG
  +
fi
mkdir -p $PKG/install
+
### finally make the package.
echo " |-----handy-ruler------------------------------------------------------|" >> $PKG/install/slack-desc
+
/sbin/makepkg -l y -c n $OUTPUT/$PKGNAME-$VERSION-$ARCH-$BUILD.${PKGTYPE:-txz}
echo "$i" >> $PKG/install/slack-desc
 
echo "$i: $i svn build - $VERSIO - $VERSION" >> $PKG/install/slack-desc
 
echo "$i" >> $PKG/install/slack-desc
 
echo "$i" >> $PKG/install/slack-desc
 
echo "" >> $PKG/install/slack-desc
 
echo "if [ -x /usr/bin/update-mime-database ]; then
 
/usr/bin/update-mime-database /usr/share/mime &> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/update-desktop-database ]; then
 
/usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/gtk-update-icon-cache ]; then
 
/usr/bin/gtk-update-icon-cache -f -q /usr/share/icons/hicolor 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
cd $PKG
 
makepkg -l y -c n $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz || exit 1
 
upgradepkg --install-new $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz
 
rm -rf $TMP/package-$i || exit 1
 
cd $TMP/e/trunk/E-MODULES-EXTRA
 
fi
 
done
 
echo "Installation Complete!"
+
if [ "$1" = "--cleanup" ]; then
rm -rf $TMP
+
rm -rf $TMP
  +
fi
</pre>
</pre>

Versione attuale delle 22:15, 29 giu 2010

Semplice script che scarica enlightenment da svn, lo compila e lo pacchettizza e installa ;)
Salvatelo in un file chiamato enlightenment.SlackBuild Per chiarimenti, migliorie, malfunzionamenti, riferitevi al thread apposito su Slacky.eu http://www.slacky.eu/forum/viewtopic.php?f=4&t=32328&p=282288#p282288

#!/bin/sh

# Heavily based on the Slackware 13.1 SlackBuild
# Written by jimmy_page_89 ( jimmy_page_89@hotmail.it ) 

# Heavily changed by albatros_la aka AsPh4lTo

# Last build from jimmy_page_89 ( jimmy_page_89@hotmail.it )

# Thanks to Conraid for SVN help

# Slackware build script for enlightenment
# Official Site: http://www.enlightenment.org/

# This script download lastest trunk from e17's SVN and packages it ;)

# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

removepkg `ls /var/log/packages/ | grep dep_inst` > /dev/null

set -e

PKGNAME=enlightenment
BUILD=${BUILD:-1sl}
ARCH=${ARCH:-i486}
SOURCE="http://svn.enlightenment.org/svn/e"
CWD=$(pwd)
TMP=${TMP:-/tmp/buildpkgs/$PKGNAME}
DEPPKG=$TMP/dep-package-$PKGNAME
PKG=$TMP/package-$PKGNAME
OUTPUT=${OUTPUT:-$CWD}
BASE="eina eet imlib2_loaders evas ecore efreet embryo edje e_dbus eeze e"
EXTRA="esmart eterm emotion epdf ethumb exquisite expedite emprint edata ecore_li edb engrave epeg elementary empower exalt ephoto elicit enlil enki editje edje_viewer"
PLUGINS="elementary-alarm elementary-presenter elementary-sms alarm calendar cpu deskshow diskio drawer efm-nav efm-path exalt exalt-client execwatch flame forecasts iiirk language mail mem moon mpdule net news notification penguins photo places rain screenshot skel slideshow snow taskbar tclock tiling uptime weather winselector wlan empris everything-mpris everything-pidgin everything-places everything-skel everything-tracker everything-wallpaper everything-websearch exebuf quickaccess winlist-ng"

###elmdentica
###Set to 1 if you want to release this package
RELEASE=0

if [ "$ARCH" = "i486" ]; then
  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
  LIBDIRSUFFIX=""
elif [ "$ARCH" = "i586" ]; then
  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
  LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
  LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
  SLKCFLAGS="-O2 -fPIC"
  LIBDIRSUFFIX="64"
  SLKLDFLAGS="-L/usr/lib64"
fi

rm -rf $TMP
mkdir -p $TMP $PKG $OUTPUT

if [ -e $CWD/error.log ]; then
  rm $CWD/error.log
fi

cd $TMP
if [ ! -d e ]; then
 echo "Start Downloading..."
 svn co $SOURCE
 wget http://slackbuilds.org/slackbuilds/13.1/desktop/enlightenment/xinitrc.enlightenment17
 wget http://slackbuilds.org/slackbuilds/13.1/desktop/enlightenment/slack-desc
fi

cd $TMP/e
VERSION=r$(LANG=en_US svn info | awk '/Revision:/{print $2}')

cd $TMP/e/trunk
for i in BINDINGS BROKEN devs DOCS E16 packaging SCRIPTS THEMES web;
do
   rm -rf $i
done

function doinst
{
  echo "if [ -x /usr/bin/update-mime-database ]; then
/usr/bin/update-mime-database /usr/share/mime &> /dev/null
fi" >> $PKG/install/doinst.sh
  echo "" >> $PKG/install/doinst.sh
  echo "if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi" >> $PKG/install/doinst.sh
  echo "" >> $PKG/install/doinst.sh
  echo "if [ -x /usr/bin/gtk-update-icon-cache ]; then
/usr/bin/gtk-update-icon-cache  -f -q /usr/share/icons/hicolor 1> /dev/null 2> /dev/null
fi" >> $PKG/install/doinst.sh
  echo "" >> $PKG/install/doinst.sh
}

function stripbin
{
  ( cd $PKG
    find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs -r strip --strip-unneeded 2> /dev/null || true
    find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs -r strip --strip-unneeded 2> /dev/null || true
    find . | xargs file | grep "current ar archive" | cut -f 1 -d : | xargs -r strip --strip-unneeded 2> /dev/null || true
  )
}

for i in $BASE $EXTRA $PLUGINS
do
  echo "Building $i..."
  case $i in
	   eina|eet|eeze|imlib2_loaders|evas|ecore|efreet|embryo|edje|e_dbus|e|ethumb|exquisite|expedite|editje|emotion|emprint|edje_viewer|empower|elmdentica|exalt|ephoto|elicit|enki|enlil) cd $TMP/e/trunk/$i;;
	   eterm) cd $TMP/e/trunk/$i/Eterm;;
	   esmart|engrave|edata|ecore_li|edb|e_utils|epeg) cd $TMP/e/OLD/$i;;
           elementary|elementary-alarm|elementary-presenter|elementary-sms|waker) cd $TMP/e/trunk/TMP/st/$i;;
	   efm-nav|efm-path) cd $TMP/e/trunk/E-MODULES-EXTRA/`echo $i|sed s/-/_/`;;
	   epdf) cd $TMP/e/trunk/PROTO/$i;;
	   *) cd $TMP/e/trunk/E-MODULES-EXTRA/$i;;
  esac
  case $i in
	   eina) ECORE="--enable-amalgamation --enable-default-mempool --enable-mempool-chained-pool --enable-mempool-buddy --disable-magic-debug";;
	   eet) ECORE="--enable-amalgamation --enable-assert";;
	   evas) ECORE="--enable-xrender-x11 --enable-sdl-primitive --enable-software-16-ddraw --enable-fb --enable-cpu-mmx --enable-cpu-sse --enable-small-dither-mask --enable-line-dither-mask --enable-gl-x11 --enable-gl-grew --enable-buffer";;
	   ecore) ECORE="--enable-ecore-config --enable-ecore-ipc --enable-ecore-file --enable-ecore-imf --enable-ecore-imf-evas --enable-ecore-input --enable-ecore-input-evas --enable-ecore-sdl --enable-ecore-evas --enable-ecore-evas-opengl-x11 --enable-ecore-x -enable-ecore-con";;
	   edje) ECORE="--enable-amalgamation --enable-edje-program-cache --enable-edje-calc-cache --enable-fixed-point";;
	   eterm) ECORE="--enable-profile --enable-trans --enable-mms --enable-sse2 --enable-utmp --enable-auto-encoding --enable-multi-charset --enable-xim --enable-greek --enable-name-reporting-escapes --with-theme-update --with-x";;
	   exalt) ECORE="--with-wpa-supplicant=/sbin/wpa_supplicant --with-dhcp=/sbin/dhclient";;
	   epdf) ECORE="--enable-poppler";;

	   e) ECORE="--enable-device-udev";;
	   *) ECORE="";;
  esac

  chown -R root:root .
  chmod -R u+w,go+r-w,a-s .
  case $i in
           elicit)
    ./bootstrap
    LDFLAGS="$SLKLDFLAGS" \
    CFLAGS="$SLKCFLAGS" \
    CXXFLAGS="$SLKCFLAGS" \
    ./configure \
      --prefix=/usr \
      --libdir=/usr/lib${LIBDIRSUFFIX} \
      --sysconfdir=/etc \
      --localstatedir=/var \
      --mandir=/usr/man \
      --disable-static \
      $ECORE
      ;;
	   *)
  LDFLAGS="$SLKLDFLAGS" \
  CFLAGS="$SLKCFLAGS" \
  CXXFLAGS="$SLKCFLAGS" \
  ./autogen.sh \
    --prefix=/usr \
    --libdir=/usr/lib${LIBDIRSUFFIX} \
    --sysconfdir=/etc \
    --localstatedir=/var \
    --mandir=/usr/man \
    --disable-static \
    $ECORE
    ;;
  esac

  echo "--- $i building error log ---" >> $CWD/error.log

###fixing epdf
  case $i in epdf)
    cd src/lib/mupdf
    make
    cd $TMP/e/trunk/PROTO/$i
    ;;
  esac

  make -j2 2>>$CWD/error.log

  make install DESTDIR=$PKG

  if [ -d $DEPPKG ]; then
    rm -rf $DEPPKG
    mkdir -p $DEPPKG
  fi
  
  make install DESTDIR=$DEPPKG
  cd $DEPPKG
  makepkg -l y -c n $TMP/$i\_dep_inst.txz $SEE
  echo "Installing $i..."
  upgradepkg --install-new $TMP/$i\_dep_inst.txz

done

for i in $BASE $EXTRA $PLUGINS
do
  removepkg /var/log/packages/$i\_dep_inst
done

stripbin

mkdir -p $PKG/usr/doc/$PKGNAME-$VERSION
cp -a $TMP/e/trunk/e/{AUTHORS,COPYING,INSTALL,NEWS,README} $PKG/usr/doc/$PKGNAME-$VERSION

mkdir -p $PKG/etc/X11/xinit
cp $TMP/xinitrc.enlightenment17 $PKG/etc/X11/xinit/

mkdir -p $PKG/install
cat $TMP/slack-desc > $PKG/install/slack-desc
cat $TMP/slack-desc > $PKG/usr/doc/$NAME/slack-desc
cat $CWD/$PKGNAME.SlackBuild > $PKG/usr/doc/$NAME/$PKGNAME.SlackBuild

doinst

cd $PKG
chown -R root:root .

###If you're not going to release this package, 
if [ "$RELEASE" = "1" ] && [ -x "$(which requiredbuilder 2>/dev/null)" ];then
    requiredbuilder -y -v -s $CWD $PKG
fi

### finally make the package. 
/sbin/makepkg -l y -c n $OUTPUT/$PKGNAME-$VERSION-$ARCH-$BUILD.${PKGTYPE:-txz}

if [ "$1" = "--cleanup" ]; then
  rm -rf $TMP
fi
Strumenti personali
Namespace

Varianti